summaryrefslogtreecommitdiffstats
path: root/debian/libpam-modules.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/libpam-modules.postinst')
-rw-r--r--debian/libpam-modules.postinst20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/libpam-modules.postinst b/debian/libpam-modules.postinst
new file mode 100644
index 0000000..529132d
--- /dev/null
+++ b/debian/libpam-modules.postinst
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+
+# If the user has removed the config file, respect this sign of dementia
+# -- only create on package install.
+
+if [ -z "$2" ] || dpkg --compare-versions "$2" lt 0.99.7.1-3
+then
+ if ! [ -f "$DPKG_ROOT"/etc/security/opasswd ]; then
+ umask 066
+ touch "$DPKG_ROOT"/etc/security/opasswd
+ umask 022
+ fi
+fi
+
+if dpkg --compare-versions "$2" lt 0.99.9.0-1 && ! [ -f "$DPKG_ROOT"/etc/environment ]
+then
+ touch "$DPKG_ROOT"/etc/environment
+fi
+
+#DEBHELPER#